List shoppers
curl --request GET \
--url https://api.vori.com/v1/shoppers \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.vori.com/v1/shoppers"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.vori.com/v1/shoppers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.vori.com/v1/shoppers",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.vori.com/v1/shoppers"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.vori.com/v1/shoppers")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.vori.com/v1/shoppers")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": [
{
"id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"email_address": "jsmith@example.com",
"email_validated": true,
"enrolled_in_loyalty_program": true,
"first_name": "<string>",
"joined_at_store_id": "<string>",
"joined_with_employee_id": "<string>",
"last_name": "<string>",
"phone_number": "<string>",
"point_balance": "199.99",
"postal_code": "<string>",
"subscribed_to_email": true,
"subscribed_to_sms": true,
"updated_at": "2023-11-07T05:31:56Z"
}
],
"has_more": true
}{
"error_code": "conflicting_list_parameters"
}{
"error_code": "capability_not_enabled"
}{
"error_code": "insufficient_permissions",
"error_details": {
"action": "*",
"resource": "*"
}
}Shoppers
List shoppers
Lists shoppers across the whole banner, ordered by ID. Filter by phone number to find the shopper who gave it at checkout, and page through the results with the cursor parameters.
GET
/
v1
/
shoppers
List shoppers
curl --request GET \
--url https://api.vori.com/v1/shoppers \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.vori.com/v1/shoppers"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.vori.com/v1/shoppers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.vori.com/v1/shoppers",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.vori.com/v1/shoppers"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.vori.com/v1/shoppers")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.vori.com/v1/shoppers")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": [
{
"id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"email_address": "jsmith@example.com",
"email_validated": true,
"enrolled_in_loyalty_program": true,
"first_name": "<string>",
"joined_at_store_id": "<string>",
"joined_with_employee_id": "<string>",
"last_name": "<string>",
"phone_number": "<string>",
"point_balance": "199.99",
"postal_code": "<string>",
"subscribed_to_email": true,
"subscribed_to_sms": true,
"updated_at": "2023-11-07T05:31:56Z"
}
],
"has_more": true
}{
"error_code": "conflicting_list_parameters"
}{
"error_code": "capability_not_enabled"
}{
"error_code": "insufficient_permissions",
"error_details": {
"action": "*",
"resource": "*"
}
}Authorizations
Query Parameters
Was this page helpful?